.builder-main-div {
  /* background-color: #edffa5; */
  /* margin: 0.5em;
  margin-top: 2em;
  padding: 0.25em; */
  border-radius: 15px;
}

.box-api-set {
  /* background-color: #d5d5d561; */
  border-radius: 15px;
  margin-top: 2em;
  padding: 1em;
  box-shadow: 0 4px 10px 0 rgb(0 0 0 / 20%), 0 4px 20px 0 rgb(0 0 0 / 19%);
}

.auto_height {
  /* CSS */
  width: 100%;
}

.input-set {
  margin-top: 2em;
  padding: 24px;
  width: 100%;
  box-sizing: border-box;
}

.box-shadow {
  box-shadow: 0 4px 10px 0 rgb(0 0 0 / 20%), 0 4px 20px 0 rgb(0 0 0 / 19%);
}

input,
select,
textarea,
button {
  padding: 10px;
  width: 100%;
  margin: .25em;
  border: 1px solid gray;
  border-radius: 5px;
  border: none;
  background-color: rgb(245 245 245);
}

button {
  border: none;
  outline: none;
  padding-top: 10px;
  padding-bottom: 10px;
  color: white;
  font-weight: 600;
  max-width: 70px;
}

textarea {
  background-color: rgb(235 235 235);
  color: #504c4c;
  border: none;
}

label {
  color: rgb(101, 101, 102);
  margin-bottom: 0.5em;
  display: block;
}

.flex-group {
  display: flex;
  flex-direction: row;
  margin-top: 1em;
  border-radius: 7px;
}

.red-bg {
  background-color: red;
}

.green-bg {
  background-color: green;
}

.blue-bg {
  background-color: #004df9;
}

h3 {
  text-transform: uppercase;
  margin-top: 2em;
  color: #656566;
  margin-bottom: 2em;
}

.sections {
  padding: 1em;
  border-radius: 12px;
  margin-top: 2em;
}

/************ Modal ******************/
.modal {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  visibility: hidden;
  transform: scale(1.1);
  transition: visibility 0s linear 0.25s, opacity 0.25s 0s, transform 0.25s;
}

.modal-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 1rem 1.5rem;
  /* width: 24rem; */
  border-radius: 0.5rem;
}

.close-button {
  float: right;
  width: 1.5rem;
  line-height: 1.5rem;
  text-align: center;
  cursor: pointer;
  border-radius: 0.25rem;
  background-color: lightgray;
}

.close-button:hover {
  background-color: darkgray;
}

.show-modal {
  opacity: 1;
  visibility: visible;
  transform: scale(1.0);
  transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
}